No sound, Dummy output on Acer Swift 3 SF314-57G with Ice Lake core-i7 CPU

Bug #1877757 reported by Iurii Ovcharenko
24
This bug affects 4 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Unassigned
Focal
Medium
Hui Wang
linux-oem-5.6 (Ubuntu)
Medium
Unassigned
Focal
Medium
Hui Wang

Bug Description

[Impact]
On this machine, after booting up, there is no valid sound card, the
gnome-control-center shows a dummy output only. check the dmesg, the alsa
sof driver fails to initialize.

[Fix]
Backport a patch from upstream, after applying this patch, the sof driver
will not fail anymore even the codec driver is hda_generic

[Test Case]
A couple of users already test this patch on their machines, after booting
up, there is a valid sound card, and could output sound from output devices.

[Regression Risk]
Low, this is cherry-picked from upstream, and this just adds a new kind of
codec (generic) support, and a couple of ubuntu users already verified this
patch.

New focal installation on a new Acer Swift 3 laptop with core i7-1065G7.
No sound detected, KDE/pavucontrol shows Dummy output.
External headset also not detected.

I've googled around and tried to reinstall alsa and pulseaudio, tried alsa force-reload as well. Nothing helps.

With snd_hda_intel.dmic_detect=0 speakers start working but microphone is not detected. External headset detected with both headphones and mic. I use this as a workaround for a time being.

I've checked https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1860697 bug. It is closed and use recent kernel and firmware but it does not fix my issue.

ProblemType: Bug
DistroRelease: Ubuntu 20.04
Package: linux-image-5.4.0-29-generic 5.4.0-29.33
ProcVersionSignature: Ubuntu 5.4.0-29.33-generic 5.4.30
Uname: Linux 5.4.0-29-generic x86_64
NonfreeKernelModules: nvidia_modeset nvidia
ApportVersion: 2.20.11-0ubuntu27
Architecture: amd64
AudioDevicesInUse: Error: command ['fuser', '-v', '/dev/snd/seq', '/dev/snd/timer'] failed with exit code 1:
CasperMD5CheckResult: skip
CurrentDesktop: KDE
Date: Sat May 9 18:56:15 2020
InstallationDate: Installed on 2020-04-24 (15 days ago)
InstallationMedia: Kubuntu 20.04 LTS "Focal Fossa" - Release amd64 (20200423)
MachineType: Acer Swift SF314-57G
ProcFB: 0 i915drmfb
ProcKernelCmdLine: BOOT_IMAGE=/vmlinuz-5.4.0-29-generic root=UUID=faf6a132-de60-44fa-a1a7-4cce8ef83b87 ro quiet splash vt.handoff=7
RelatedPackageVersions:
 linux-restricted-modules-5.4.0-29-generic N/A
 linux-backports-modules-5.4.0-29-generic N/A
 linux-firmware 1.187
SourcePackage: linux
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 09/24/2019
dmi.bios.vendor: Insyde Corp.
dmi.bios.version: V1.09
dmi.board.asset.tag: Type2 - Board Asset Tag
dmi.board.name: Floris_IL
dmi.board.vendor: IL
dmi.board.version: V1.09
dmi.chassis.type: 10
dmi.chassis.vendor: Acer
dmi.chassis.version: Chassis Version
dmi.modalias: dmi:bvnInsydeCorp.:bvrV1.09:bd09/24/2019:svnAcer:pnSwiftSF314-57G:pvrV1.09:rvnIL:rnFloris_IL:rvrV1.09:cvnAcer:ct10:cvrChassisVersion:
dmi.product.family: Swift 3
dmi.product.name: Swift SF314-57G
dmi.product.sku: 0000000000000000
dmi.product.version: V1.09
dmi.sys.vendor: Acer

CVE References

Revision history for this message
Iurii Ovcharenko (iovcharenko) wrote :
Revision history for this message
Iurii Ovcharenko (iovcharenko) wrote :
Revision history for this message
Ubuntu Kernel Bot (ubuntu-kernel-bot) wrote : Status changed to Confirmed

This change was made by a bot.

Changed in linux (Ubuntu):
status: New → Confirmed
Revision history for this message
Kai-Heng Feng (kaihengfeng) wrote :

[ 5.294969] skl_hda_dsp_generic skl_hda_dsp_generic: ASoC: failed to init link iDisp1: -517

Revision history for this message
Iurii Ovcharenko (iovcharenko) wrote :

Is this error
"[ 5.294969] skl_hda_dsp_generic skl_hda_dsp_generic: ASoC: failed to init link iDisp1: -517"
related to firmware signing?

Secure boot is enabled.
My laptop has UEFI from factory and it does not allow to disable secure boot.

Revision history for this message
Iurii Ovcharenko (iovcharenko) wrote :

I finally managed to disable secure boot.
No changes to the audio, logs are the same.

Revision history for this message
Hui Wang (hui.wang) wrote :

@lurii,

Looks like the 1st error is "sof-audio-pci 0000:00:1f.3: error: codec #0 probe error, ret: -2", so it means it fails to initialize your analogue codec driver.

I never met this issue before, could you please add dmic_detect=0 to make sure audio works, then generate an alsa-info.txt and upload here?

Revision history for this message
Iurii Ovcharenko (iovcharenko) wrote :

@Hui

Here is alsa-info.sh output with snd_hda_intel.dmic_detect=0
http://alsa-project.org/db/?f=a0666f31d648566f09d98d4ca79746a197403e28

With dmic_detect=0 internal speakers works but internal mic does not.

External headset works fine both headphones and mic.

Revision history for this message
Hui Wang (hui.wang) wrote :
Revision history for this message
Iurii Ovcharenko (iovcharenko) wrote :

Hui,

This kernel https://people.canonical.com/~hwang4/renoir/ successfully initialize my sound card.

$ cat /proc/cmdline
BOOT_IMAGE=/vmlinuz-5.4.0-32-generic root=UUID=faf6a132-de60-44fa-a1a7-4cce8ef83b87 ro quiet splash acpi=force vt.handoff=7

Internal speakers, HDMI out, internal mic - all works perfectly.

External headset also works both headphones and mic.

All controls are displayed in pavucontrol.

I uploaded new output of alsa-info.sh script booted into this test kernel (if it's usefull)
http://alsa-project.org/db/?f=c52a7811a18440caa2bfb997a33d97bcca35356a

Hope this will get to the mainline soon.

Thanks a lot!

Revision history for this message
Hui Wang (hui.wang) wrote :

OK, This is my PR https://github.com/thesofproject/linux/pull/2146, and Intel also found this issue and had a PR https://github.com/thesofproject/linux/pull/2122

So finally a fix will be upstreamed to mainline kernel.

Revision history for this message
Hui Wang (hui.wang) wrote :

This issue should be fixed in the latest kernel, please have a try.

Revision history for this message
Iurii Ovcharenko (iovcharenko) wrote :

Hi!

The latest kernel in 20.04 (as today) is 5.4.0-40.
It does not work, no sound on this kernel version, Dummy output only.
Here is my alsa-info.sh output:
http://alsa-project.org/db/?f=711b41fcdbaa13855fbf95113d9c42573cd44460

Revision history for this message
Iurii Ovcharenko (iovcharenko) wrote :

Here is output of journalctl -b 0 > journal.txt

Revision history for this message
Shu Shen (shu-shen) wrote :

I don't think the fix has been back-ported to 5.4 kernel.

The upstream kernel fix was included in kernel 5.8-rc1 and later: https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/commit/sound?h=v5.8-rc4&id=89d73ccab20a684d8446cea4d8ac6a2608c8d390

I tested with the 5.8-rc1 mainline kernel on Ubuntu 20.04: https://kernel.ubuntu.com/~kernel-ppa/mainline/v5.8-rc1. Sound output works without any boot parameter but the microphone array did not work for me on SF314-57-74V6.

With security boot enabled on the laptop, manual signing the mainline kernel is very cumbersome and difficult when doing software updates. I lost appetite and will probably wait for Ubuntu 20.10 which might pick up a later release of the kernel that has the fix.

Revision history for this message
Iurii Ovcharenko (iovcharenko) wrote :

Yeah!

I hope this will be backported into 5.4 for Ubuntu 20.04.

Revision history for this message
Hui Wang (hui.wang) wrote :

I thought the fix will be merged to ubuntu kernel automatically with the stable patches. Since this doesn't happen, I will backport it to ubuntu kernel.

Hui Wang (hui.wang)
description: updated
Changed in linux (Ubuntu Focal):
assignee: nobody → Hui Wang (hui.wang)
Changed in linux-oem-5.6 (Ubuntu Focal):
assignee: nobody → Hui Wang (hui.wang)
Hui Wang (hui.wang)
Changed in linux (Ubuntu Focal):
status: New → In Progress
Changed in linux-oem-5.6 (Ubuntu):
status: New → In Progress
Changed in linux-oem-5.6 (Ubuntu Focal):
status: New → In Progress
Changed in linux (Ubuntu):
importance: Undecided → High
importance: High → Medium
Changed in linux (Ubuntu Focal):
importance: Undecided → Medium
Changed in linux-oem-5.6 (Ubuntu):
importance: Undecided → Medium
Changed in linux-oem-5.6 (Ubuntu Focal):
importance: Undecided → Medium
Stefan Bader (smb)
Changed in linux-oem-5.6 (Ubuntu):
status: In Progress → Invalid
Changed in linux (Ubuntu Focal):
status: In Progress → Fix Committed
Revision history for this message
Ubuntu Kernel Bot (ubuntu-kernel-bot) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-focal' to 'verification-done-focal'. If the problem still exists, change the tag 'verification-needed-focal' to 'verification-failed-focal'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-focal
Revision history for this message
Iurii Ovcharenko (iovcharenko) wrote :

I've tested the kernel from focal-proposed

Linux swift 5.4.0-43-generic #47-Ubuntu SMP Sat Aug 8 06:34:35 UTC 2020 x86_64 x86_64 x86_64 GNU/Linux

Sound works perfectly!

Hui Wang (hui.wang)
tags: added: verification-done-focal
removed: verification-needed-focal
Timo Aaltonen (tjaalton)
Changed in linux-oem-5.6 (Ubuntu Focal):
status: In Progress → Fix Committed
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-oem-5.6 - 5.6.0-1023.23

---------------
linux-oem-5.6 (5.6.0-1023.23) focal; urgency=medium

  * focal/linux-oem-5.6: 5.6.0-1023.23 -proposed tracker (LP: #1892465)

  * CVE-2020-15852
    - x86/ioperm: Fix io bitmap invalidation on Xen PV

  * Fix non-working USB devices plugged during system sleep (LP: #1892678)
    - xhci: Do warm-reset when both CAS and XDEV_RESUME are set

  * ASPM not enabled on child devices behind VMD controller (LP: #1889384)
    - SAUCE: PCI/ASPM: Enable ASPM for links under VMD domain

  * Fix non-working Goodix touchpad after system sleep (LP: #1891998)
    - HID: i2c-hid: Always sleep 60ms after I2C_HID_PWR_ON commands

  * [SRU] Fix acpi backlight issue on some thinkpads (LP: #1892010)
    - platform/x86: thinkpad_acpi: not loading brightness_init when _BCL invalid

  * Packaging resync (LP: #1786013)
    - [Packaging] update helper scripts

 -- Timo Aaltonen <email address hidden> Tue, 25 Aug 2020 08:46:08 +0300

Changed in linux-oem-5.6 (Ubuntu Focal):
status: Fix Committed → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :
Download full text (97.9 KiB)

This bug was fixed in the package linux - 5.4.0-45.49

---------------
linux (5.4.0-45.49) focal; urgency=medium

  * focal/linux: 5.4.0-45.49 -proposed tracker (LP: #1893050)

  * [Potential Regression] dscr_inherit_exec_test from powerpc in
    ubuntu_kernel_selftests failed on B/E/F (LP: #1888332)
    - powerpc/64s: Don't init FSCR_DSCR in __init_FSCR()

linux (5.4.0-44.48) focal; urgency=medium

  * focal/linux: 5.4.0-44.48 -proposed tracker (LP: #1891049)

  * Packaging resync (LP: #1786013)
    - [Packaging] update helper scripts

  * ipsec: policy priority management is broken (LP: #1890796)
    - xfrm: policy: match with both mark and mask on user interfaces

linux (5.4.0-43.47) focal; urgency=medium

  * focal/linux: 5.4.0-43.47 -proposed tracker (LP: #1890746)

  * Packaging resync (LP: #1786013)
    - update dkms package versions

  * Devlink - add RoCE disable kernel support (LP: #1877270)
    - devlink: Add new "enable_roce" generic device param
    - net/mlx5: Document flow_steering_mode devlink param
    - net/mlx5: Handle "enable_roce" devlink param
    - IB/mlx5: Rename profile and init methods
    - IB/mlx5: Load profile according to RoCE enablement state
    - net/mlx5: Remove unneeded variable in mlx5_unload_one
    - net/mlx5: Add devlink reload
    - IB/mlx5: Do reverse sequence during device removal

  * msg_zerocopy.sh in net from ubuntu_kernel_selftests failed (LP: #1812620)
    - selftests/net: relax cpu affinity requirement in msg_zerocopy test

  * Enlarge hisi_sec2 capability (LP: #1890222)
    - Revert "UBUNTU: [Config] Disable hisi_sec2 temporarily"
    - crypto: hisilicon - update SEC driver module parameter

  * Fix missing HDMI/DP Audio on an HP Desktop (LP: #1890441)
    - ALSA: hda/hdmi: Add quirk to force connectivity

  * Fix IOMMU error on AMD Radeon Pro W5700 (LP: #1890306)
    - PCI: Mark AMD Navi10 GPU rev 0x00 ATS as broken

  * ASoC:amd:renoir: the dmic can't record sound after suspend and resume
    (LP: #1890220)
    - SAUCE: ASoC: amd: renoir: restore two more registers during resume

  * No sound, Dummy output on Acer Swift 3 SF314-57G with Ice Lake core-i7 CPU
    (LP: #1877757)
    - ASoC: SOF: Intel: hda: fix generic hda codec support

  * Fix right speaker of HP laptop (LP: #1889375)
    - SAUCE: hda/realtek: Fix right speaker of HP laptop

  * blk_update_request error when mount nvme partition (LP: #1872383)
    - SAUCE: nvme-pci: prevent SK hynix PC400 from using Write Zeroes command

  * soc/amd/renoir: detect dmic from acpi table (LP: #1887734)
    - ASoC: amd: add logic to check dmic hardware runtime
    - ASoC: amd: add ACPI dependency check
    - ASoC: amd: fixed kernel warnings

  * soc/amd/renoir: change the module name to make it work with ucm3
    (LP: #1888166)
    - AsoC: amd: add missing snd- module prefix to the acp3x-rn driver kernel
      module
    - SAUCE: remove a kernel module since its name is changed

  * Focal update: v5.4.55 upstream stable release (LP: #1890343)
    - AX.25: Fix out-of-bounds read in ax25_connect()
    - AX.25: Prevent out-of-bounds read in ax25_sendmsg()
    - dev: Defer free of skbs in flush_backlog
    - drivers/net/wan/x25_asy: Fix to make i...

Changed in linux (Ubuntu Focal):
status: Fix Committed → Fix Released
Revision history for this message
Iurii Ovcharenko (iovcharenko) wrote :

Sound works now.

Revision history for this message
Sergey Zozulya (sviperz) wrote :

Yes, can confirm that sound output and internal microphone work now.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers